Doomsday Engine - Bug #1828

Tutorial doesn't claim mouse after clicking during launch
2014-06-19 13:12 - vermil

Status: New Start date: 2014-06-19
Priority: Low % Done: 0%
Assignee:

Category: Defect

Target version: Input and game controllers

Description

The Tutorial doesn't claim the mouse when it runs; the game running claims the mouse.

This means, one can't actually start the tutorial; all one can do is close it with Esc.

History

#1 - 2014-06-19 13:15 - vermil

Er, when one launches straight into a game (i.e with a -game).

#2 - 2014-06-19 13:24 - vermil

My apologies for another post. It turns out that this may be more specific than | thought.

If one clicks the mouse during game startup, mouse control is given to the game instead of the tutorial.

#3 - 2014-06-19 13:50 - skyjake

- Tags set to Ul, Input

- Subject changed from Tutorial doesn't claim mouse to Tutorial doesn't claim mouse after clicking during launch

- Category set to Defect

- Priority changed from Normal to Low

#4 - 2014-06-19 18:42 - skyjake

vermil wrote:

one can't actually start the tutorial; all one can do is close it with Esc.

In all dialogs, Space and Enter will trigger the default button. This should work in the tutorial, too, even though the mouse cursor remains captured.
(That is, if it doesn't, there's a separate bug.)

#5 - 2014-06-19 23:56 - vermil

| wasn't aware of those shortcut's. Thanks for the information.

#6 - 2017-04-03 14:15 - skyjake

- Target version set to Input and game controllers
